> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/python/vm-autoscaling/models/grouppolicyscaleinaction.md).

# GroupPolicyScaleInAction

Defines the action to be taken when the 'scaleInThreshold' is exceeded. Here, scaling is always about removing VMs associated with this VM Auto Scaling Group. By default, the termination policy is 'OLDEST\_SERVER\_FIRST' is effective.

## Properties

| Name                    | Type                                                                                                            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | Notes                          |
| ----------------------- | --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **amount**              | **float**                                                                                                       | 'amountType=ABSOLUTE' specifies the absolute number of VMs that are added or removed. The value must be between 1 to 10. 'amountType=PERCENTAGE' specifies the percentage value that is applied to the current number of replicas of the VM Auto Scaling Group. The value must be between 1 to 200. At least one VM is always added or removed. Note that for 'SCALE\_IN' operations, volumes are not deleted after the server is deleted.                                                     |                                |
| **amount\_type**        | [**ActionAmount**](https://docs.ionos.com/cloud/python/vm-autoscaling/models/actionamount.md)                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **cooldown\_period**    | **str**                                                                                                         | The minimum time that elapses after the start of this scaling action until the next scaling action is started. With a scaling action in progress, no second scaling action is started for the same VM Auto Scaling Group. Instead, the metric is re-evaluated after the current scaling action completes (either successfully or with errors). This is currently validated with a minimum value of 2 minutes and a maximum value of 24 hours. The default value is 5 minutes if not specified. | \[optional] \[default to '5m'] |
| **termination\_policy** | [**TerminationPolicyType**](https://docs.ionos.com/cloud/python/vm-autoscaling/models/terminationpolicytype.md) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | \[optional]                    |
| **delete\_volumes**     | **bool**                                                                                                        | If set to \`true\`, when deleting an replica during scale in, any attached volume will also be deleted. When set to \`false\`, all volumes remain in the datacenter and must be deleted manually. **Note**, that every scale-out creates new volumes. When they are not deleted, they will eventually use all of your contracts resource limits. At this point, scaling out would not be possible anymore.                                                                                     |                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/python/vm-autoscaling/models/grouppolicyscaleinaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
